##### GENERAL STUFF #####
%define version    1.02
%define release    %mkrel 1

Name:    nimuh
Summary:  A puzzle game destined to improve the knowledge of Andalusia
Version:  %{version}
Release:  %{release}
License:  CC-BY-NC-SA
URL:    http://www.nimuh.com/
Group:    Games/Puzzles
Source0:  %{name}-%{version}.tar.bz2
BuildRequires:  mesaglu-devel expat-devel
BuildRequires:  SDL_image-devel SDL_mixer-devel
Requires:  %{name}-data = %{version}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot


##### DESCRIPTION #####
%description
Nimuh is a game under Creative Commons license and ambiented in
Andalusia. A game based in "Theseus and the Minotaur Mazes" that
will go through different andalusian locations.

The game uses OpenGL for graphics acceleration.

Authors: caninoStudios <http://www.caninostudios.net/>



##### PREP #####
%prep
%setup -q


##### BUILD #####
%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make


##### INSTALL #####
%install
rm -rf %{buildroot}
%makeinstall_std

# Creation of *.desktop-file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=Nimuh
GenericName=Arcade Game
Comment=%{summary}
Icon=%{name}.png
Exec=%{name}
Terminal=false
StartupNotify=false
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF



##### CLEAN #####
%clean
rm -rf %{buildroot}



##### POST & POSTUN  #####
%post
%update_menus

%postun
%clean_menus



##### FILE LIST #####
%files
%defattr(-,root,root)

%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop



##### CHANGELOG #####
%changelog
* Mon Oct 20 2008 Oliver Burger <rpm@mandrivauser.de> 1.02-1mud2009.0
- Rebuild for 2009.0

* Wed Apr 16 2008 Oliver Burger <rpm@mandrivauser.de> 1.02-1mud2008.1
- rebuild for 2008.1

* Tue Feb 12 2008 Oliver Burger <rpm@mandrivauser.de> 1.02-1mud2008.0
- rebuild for MUde

* Sun Feb 10 2008 MaxiPunkt <email@domain.de> 1.02-1max
- First built for Mandriva
